Bug 13722 - NT4 DC requires winbindd even without trusts
NT4 DC requires winbindd even without trusts
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.9.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13723
  Show dependency treegraph
 
Reported: 2018-12-19 08:46 UTC by Stefan Metzmacher
Modified: 2019-01-10 12:45 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-9-test (5.44 KB, patch)
2018-12-20 12:46 UTC, Stefan Metzmacher
ab: review+
Details
Patches for v4-8-test (4.65 KB, patch)
2018-12-20 12:47 UTC, Stefan Metzmacher
ab: review+
Details
Patches for v4-8-test (5.44 KB, patch)
2018-12-21 12:46 UTC, Stefan Metzmacher
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-12-19 08:46:11 UTC
With Samba 4.8.0 we require winbindd for "security = domain" or "security = ads"
setups.

But the code also requires winbindd for NT4 PDC/BDC configurations,
which is an unexpected regression.
Comment 1 Stefan Metzmacher 2018-12-20 12:46:59 UTC
Created attachment 14753 [details]
Patches for v4-9-test
Comment 2 Stefan Metzmacher 2018-12-20 12:47:43 UTC
Created attachment 14754 [details]
Patches for v4-8-test
Comment 3 Alexander Bokovoy 2018-12-20 13:26:13 UTC
Comment on attachment 14753 [details]
Patches for v4-9-test

LGTM
Comment 4 Alexander Bokovoy 2018-12-20 13:26:52 UTC
Comment on attachment 14754 [details]
Patches for v4-8-test

LGTM. Please update the bug numbers in the commit messages.
Comment 5 Stefan Metzmacher 2018-12-21 12:46:02 UTC
Created attachment 14756 [details]
Patches for v4-8-test
Comment 6 Alexander Bokovoy 2018-12-21 12:51:03 UTC
Comment on attachment 14756 [details]
Patches for v4-8-test

LGTM. Thanks!
Comment 7 Karolin Seeger 2019-01-08 12:12:00 UTC
Pushed to autobuild-v4-{9,8}-test.
Comment 8 Karolin Seeger 2019-01-10 12:45:44 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to both branches.
Closing out bug report.

Thanks!